# List log files of an attempt with filters

Endpoint: GET /api/logs/{attempt_id}/files
Version: 1.0
Security: ApiKeyAuth

## Path parameters:

  - `attempt_id` (integer, required)
    attempt id

## Query parameters:

  - `task` (string)
    partial prefix match filter on task name

  - `direct_download` (boolean)
    enable returning direct download handle

## Response 200 fields (application/json):

  - `files` (array)

  - `files.agentId` (string, required)
    internal information
    Example: 452660@ip-10-20-161-114

  - `files.direct` (string, required)
    path to download log directly
    Example: https://digdag-server-development-eu01.s3.eu-central-1.amazonaws.com/log/2023-08-22/1.264c...

  - `files.fileName` (string, required)
    file name of log
    Example: +wf1+t1@64e44ee12f7e43a0.452660@ip-10-20-161-114.log.gz

  - `files.fileSize` (integer, required)
    log size
    Example: 65535

  - `files.fileTime` (string, required)
    file timestamp
    Example: 2023-08-18T06:52:33Z

  - `files.fileTimestamp` (string, required)
    timestamp with sub second precision in ISO8601 format
    Example: 1970-01-23T04:56:01.23456Z

  - `files.taskName` (string, required)
    task name
    Example: +wf1+t1

